> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Deal Investors

GET https://api.filesearch.dev/v2/datasets/odyssey/deals/{id}/investors

Get deal investors (participants).

Returns all investors participating in the deal with their roles and investment amounts.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/deals/deals-investors

## Request

### Path parameters

- `id` (string, required) — Deal entity ID

## Response

### 200

Successful Response

- `deal_id` (string, required)
- `company_name` (string, optional, nullable)
- `participants` (list of DealParticipant, optional)
- `total_participants` (integer, optional, default: 0)

## Types

### DealParticipant

Investor or participant in a deal

- `amount_invested` (double, optional, nullable)
- `entity_id` (string, optional, nullable)
- `name` (string, optional, nullable)
- `role` (string, optional, nullable)

## Examples

**Response**

```json
{
  "deal_id": "deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0",
  "company_name": "openai.com",
  "participants": [
    {
      "amount_invested": null,
      "entity_id": null,
      "name": "Microsoft",
      "role": null
    },
    {
      "amount_invested": null,
      "entity_id": null,
      "name": "Andreessen Horowitz",
      "role": null
    }
  ],
  "total_participants": 44
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/investors",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/investors`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```